<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="undertow-examples" />
        <module name="undertow-websockets-jsr" />
        <module name="undertow-benchmarks" />
        <module name="undertow-servlet" />
        <module name="undertow-core" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="karaf" target="1.8" />
      <module name="undertow-benchmarks" target="1.8" />
      <module name="undertow-core" target="1.8" />
      <module name="undertow-examples" target="1.8" />
      <module name="undertow-parent" target="1.8" />
      <module name="undertow-parser-generator" target="1.8" />
      <module name="undertow-servlet" target="1.8" />
      <module name="undertow-websockets-jsr" target="1.8" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="undertow-benchmarks" options="-Xlint:unchecked" />
      <module name="undertow-core" options="-Xlint:unchecked" />
      <module name="undertow-examples" options="-Xlint:unchecked" />
      <module name="undertow-parser-generator" options="-proc:none -Xlint:unchecked" />
      <module name="undertow-servlet" options="-Xlint:unchecked" />
      <module name="undertow-websockets-jsr" options="-Xlint:unchecked" />
    </option>
  </component>
</project>